Summary: Daemon to give old Sun clients booting information
Name: bootparamd
Version: 1.0
Release: 1
Copyright: distributable
Group: Networking/Daemons
Source: bootparamd.tar.gz
Source1: bootparamd.init
Patch: bootparamd.patch
BuildRoot: /tmp/bpd-root
Requires: portmap
%description
This program is used to supply startup information to older computers that
don't speak the bootp protocol, such as Sun workstations.

%prep
%setup -n bootparamd
%patch -p1

%build

make

%install
rm -rf $RPM_BUILD_ROOT
for I in etc usr/sbin usr/man/man8 etc/rc.d/init.d; do
	mkdir -p $RPM_BUILD_ROOT/$I
done
for I in 0 1 2 3 5 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
done
make PREFIX=$RPM_BUILD_ROOT install
:> $RPM_BUILD_ROOT/etc/bootparams
chmod 600 $RPM_BUILD_ROOT/etc/bootparams
chmod 700 $RPM_BUILD_ROOT/usr/sbin/rpc.bootparamd $RPM_BUILD_ROOT/usr/sbin/callbootd

install -m755 $RPM_SOURCE_DIR/bootparamd.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d
for I in 0 1 2 6; do
	ln -s ../init.d/bootparamd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K24bootparamd
done
for I in 3 5; do
	ln -s ../init.d/bootparamd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S86bootparamd
done

%files
%doc README
/usr/man/man8/bootparamd.8
/usr/sbin/rpc.bootparamd
/usr/sbin/callbootd
%config /etc/bootparams
%config /etc/rc.d/init.d/bootparamd.init
/etc/rc.d/rc3.d/S86bootparamd
/etc/rc.d/rc5.d/S86bootparamd
/etc/rc.d/rc0.d/K24bootparamd
/etc/rc.d/rc1.d/K24bootparamd
/etc/rc.d/rc2.d/K24bootparamd
/etc/rc.d/rc6.d/K24bootparamd

